# Method Web.RDF()->find_statements()

Method find_statements

  ``array`(`array`(`Resource`)) find_statements(`Resource`|`int(0..0)` `subj`, `Resource`|`int(0..0)` `pred`, `Resource`|`int(0..0)` `obj`)`

Description

  Returns an array with the statements that matches the given subject `subj`, predicate `pred` and object `obj`. Any and all of the resources may be zero to disregard from matching that part of the statement, i.e. find_statements(0,0,0) returns all statements in the domain.

Returns

  An array with arrays of three elements.

  Array
  ``Resource` `0`` | The subject of the statement
  ``Resource` `1`` | The predicate of the statement
  ``Resource` `2`` | The object of the statement